{
	"executor": {
		"executorType": "sequentialExecutor",
		"sequence": [ "start", "inputToCVMat", "cvtColor", "resize", "convertTo", "CVMatToTensor", "infer", "tensorToFloatVec", "eigenvalueNode", "final" ],
		"dataStream": {
			"inputToCVMat": {
				"input": ["srcImage"],
				"output": ["CVMatOutputForCvtColor"]
			},
			"cvtColor": {
				"input": ["CVMatOutputForCvtColor"],
				"output": ["cvtColorOutput"]
			},
			"resize": {
				"input": ["cvtColorOutput"],
				"output": ["resizeOutput"]
			},
			"convertTo": {
				"input": ["resizeOutput"],
				"output": ["convertToOutput"]
			},
			"CVMatToTensor": {
				"input": ["convertToOutput"],
				"output": [ "CVMatToTensorOutput" ]
			},
			"infer": {
				"input": ["CVMatToTensorOutput"],
				"output": [ "inferOutput" ]
			},
			"tensorToFloatVec": {
				"input": ["inferOutput"],
				"output": [ "tensorToFloatVecOutput" ]
			},
			"eigenvalueNode": {
				"input": ["tensorToFloatVecOutput"],
				"output":["output"]
			}
		}
	},
	"node": {
		"start": {
			"nodeType": "StartNode"
		},
		"inputToCVMat": {
			"nodeType": "InputToCVMatNode"
		},
		"cvtColor": {
			"nodeType": "CvtColorNode",
			"code": "RGB"
		},
		"resize": {
			"nodeType": "ResizeNode",
			"width": 512,
			"height": 512,
			"equalProportion": false,		
			"interpolationFlag":0
		},
		"convertTo": {
			"nodeType": "ConvertToNode",
			"rtype": 5,
			"alpha": 0.003921568627451,
			"beta": 0
		},
		"CVMatToTensor": {
			"nodeType": "CVMatToTensorNode",
			"elemsize": 4,
			"name": "input_2",
			"layout": ["n","h","w","c"]
		},
		"infer": {
			"nodeType": "InferenceNode",
			"backendType": 0,
			"precision": 0,
			"modelFileNames": [ "img_doc_classification_3_v1.tflite" ]
		},
		"tensorToFloatVec": {
			"nodeType": "TensorToFloatVecNode",
			"index":2
		},
		"eigenvalueNode": {
			"nodeType": "EigenvalueNode"
		},
		"final": {
			"nodeType": "FinalNode",
			"release": [ "srcImage" ]
		}
	}
}